# Business

Use Business endpoints to retrieve information on businesses such as record counts, details, and other relevant data.

## Get total record count of businesses

 - [POST /Business/doCount](https://developer.melissa.com/apis/data-retriever/business/docountbusiness.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

## Get a paginated result view of businesses

 - [POST /Business/doLookup](https://developer.melissa.com/apis/data-retriever/business/dolookupbusiness.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

## Get record count and sample of businesses

 - [POST /Business/getCount](https://developer.melissa.com/apis/data-retriever/business/getcountbusiness.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

